std::type_index::hash_code(3)

NAME
std::type_index::hash_code - std::type_index::hash_code

Synopsis
   std::size_t hash_code() const noexcept; (since C++11)
   Returns the hash code of the associated std::type_info object. Equivalent to calling
   type_info::hash_code directly.

Parameters
   (none)

Return value
   The hash code of the associated std::type_info object.

Example
    This section is incomplete
    Reason: no example
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
      DR Applied to Behavior as published Correct behavior
   LWG 2144 C++11 type_index::hash_code was not required to be required
                       noexcept

See also
   std::hash<std::type_index> hash support for std::type_index
   (C++11) (class template specialization)